---
updatedAt: 2026-09-14T15:59:30.000Z
agentTools:
  projectIndex: https://docs.vopay.com/llms.txt
---

# account/submit-ticket

This endpoint is used to submit support tickets via our API.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "version": "2.0",
    "title": "Integrations and Support",
    "description": "The Integrations and Support API defines endpoints for configuring integrations with  Plaid, Flinks, Inverite, and Global Pay, managing API keys, and handling support tickets. It also  includes endpoints for setting and testing webhook URLs, and fetching webhook notifications for  account and partner accounts.",
    "contact": {
      "name": "API Support",
      "email": "help@vopay.com"
    }
  },
  "paths": {
    "/account/submit-ticket": {
      "post": {
        "description": "This endpoint is used to submit support tickets via our API.",
        "summary": "account/submit-ticket",
        "tags": [
          "Support Endpoints"
        ],
        "operationId": "submitTicketPOST",
        "deprecated": false,
        "requestBody": {
          "content": {
            "application/x-www-form-urlencoded": {
              "schema": {
                "type": "object",
                "properties": {
                  "AccountID": {
                    "description": "Your account ID",
                    "type": "string"
                  },
                  "Key": {
                    "description": "API key for the account",
                    "type": "string"
                  },
                  "Signature": {
                    "description": "Hashed signature for the request",
                    "type": "string"
                  },
                  "SenderEmailAddress": {
                    "description": "Your email address",
                    "type": "string"
                  },
                  "TicketRequesterName": {
                    "description": "The full name of the submitter of your ticket",
                    "type": "string"
                  },
                  "TicketSubject": {
                    "description": "The subject of your ticket",
                    "type": "string"
                  },
                  "TicketContent": {
                    "description": "The body of your ticket",
                    "type": "string"
                  },
                  "TicketCategory": {
                    "description": "The category of your ticket. Valid values are: Client Onboarding,Product Issues,Billing Issues,Feature Request,General Inquiry,Account Limits,General Feedback,Transaction Inquiry",
                    "type": "string"
                  },
                  "TicketSubCategory": {
                    "description": "The sub-category of your ticket: one of the SubCategories that GET /account/get-ticket-categories returns for the chosen TicketCategory",
                    "type": "string"
                  },
                  "TransactionID": {
                    "description": "If the issue pertains to a specific transaction, you can use this input to provide the unique transaction ID",
                    "type": "string"
                  },
                  "CcEmails": {
                    "description": "A comma-delimited list of CC email addresses to include on the ticket. These email addresses will be included on the correspondence",
                    "type": "string"
                  }
                },
                "required": [
                  "AccountID",
                  "Key",
                  "Signature",
                  "SenderEmailAddress",
                  "TicketRequesterName",
                  "TicketSubject",
                  "TicketContent",
                  "TicketCategory",
                  "TicketSubCategory"
                ]
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "description": "",
            "headers": {},
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "required": [
                    "Success",
                    "ErrorMessage",
                    "TicketID"
                  ],
                  "properties": {
                    "Success": {
                      "type": "boolean",
                      "description": "True if the request was successful, false if it failed",
                      "example": true
                    },
                    "ErrorMessage": {
                      "type": "string",
                      "description": "Contains a description of the error if the request failed",
                      "example": ""
                    },
                    "TicketID": {
                      "type": "integer",
                      "description": "Support Ticket ID",
                      "example": ""
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  },
  "servers": [
    {
      "url": "https://earthnode-dev.vopay.com/api/v2"
    }
  ]
}
```